Patch release for flag
This endpoint is only available for releases that are part of a legacy release pipeline. Releases for new release pipelines should use the [Update phase status for release](https://launchdarkly.com/docs/api/releases-beta/update-phase-status) endpoint.
Update currently active release for a flag. Updating releases requires the [JSON patch](https://datatracker.ietf.org/doc/html/rfc6902) format. To learn more, read [Updates](https://launchdarkly.com/docs/api#updates).
You can only use this endpoint to mark a release phase complete or incomplete. To indicate which phase to update, use the array index in the `path`. For example, to mark the first phase of a release as complete, use the following request body:
```
[
{
"op": "replace",
"path": "/phase/0/complete",
"value": true
}
]
```
Authentication
Authorizationstring
API Key authentication via header
Path parameters
projectKey
The project key
flagKey
The flag key
Request
This endpoint expects a list of objects.
Response
Release response
name
The release pipeline name
releasePipelineKey
The release pipeline key
releasePipelineDescription
The release pipeline description
phases
An ordered list of the release pipeline phases
_version
The release version
_links
The location and content type of related resources
_releaseVariationId
The chosen release variation ID to use across all phases of a release
_canceledAt
Timestamp of when the release was canceled
Errors
400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error